Bug 552016 - [abrt] crash detected in thunderbird-3.0-4.fc12
[abrt] crash detected in thunderbird-3.0-4.fc12
Status: CLOSED DUPLICATE of bug 573602
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:ebb30ea0204a877e3ae70d4852c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-03 11:35 EST by djones256
Modified: 2010-03-15 08:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 08:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (78.75 KB, text/plain)
2010-01-03 11:35 EST, djones256
no flags Details

  None (edit)
Description djones256 2010-01-03 11:35:33 EST
abrt 1.0.0 detected a crash.

Comment: I left Thunderbird synchronising with my IMAP server and it crashed...
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
component: thunderbird
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
kernel: 2.6.31.9-174.fc12.x86_64
package: thunderbird-3.0-4.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 djones256 2010-01-03 11:35:37 EST
Created attachment 381401 [details]
File: backtrace
Comment 2 Chris Campbell 2010-01-03 13:24:00 EST
#2  <signal handler called>
No symbol table info available.
#3  0x00007f72b428e05d in nsSSLThread::requestRecvMsgPeek (si=0x7f72ae058e00, 
    buf=0x7fff1342c6ff, amount=1, flags=2, timeout=<value optimized out>)
    at /usr/include/bits/string3.h:52
        return_amount = 1
        threadLock = {<nsAutoLockBase> = {<No data fields>}, mLock = 
    0x7f72b4528030, mLocked = 1}
        realSSLFD = <value optimized out>
#4  0x00007f72b429d0ba in PSMRecv (fd=0x7f72ae0306a0, 
    buf=<value optimized out>, amount=<value optimized out>, flags=2, 
    timeout=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/security/manager/ssl/src/nsNSSIOLayer.cpp:2029
        locker = {<No data fields>}
        socketInfo = <value optimized out>
#5  0x00007f72c40e8bde in nsSocketTransport::IsAlive (this=0x7f72ae441950, 
    result=0x7fff1342c768)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransport2.cpp:1808
        fd = 0x7f72ae0306a0
        c = 0 '\000'
        rval = <value optimized out>
#6  0x00007f72c4c2af77 in nsImapProtocol::CanHandleUrl (this=0x7f72adf1f800, 
    aImapUrl=0x7f72aa14d000, aCanRunUrl=0x7fff1342c94c, hasToWait=
    0x7fff1342c948)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mailnews/imap/src/nsImapProtocol.cpp:2074
        isAlive = <value optimized out>
        rv = 0
        isBusy = 0
        isInboxConnection = 0
        curSelectedUrlFolderName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0x7fff1342c840 "", mLength = 323557100, 
                mFlags = 32767}, <No data fields>}, mFixedCapacity = 
    3430642112, mFixedBuf = 0x67b64b00 <Address 0x67b64b00 out of bounds>}, 
          mStorage = 
    "\000\370\361\255r\177\000\000\352Si\272\065\000\000\000\300q{\314r\177\000\000\316\236\342\313\065\000\000\000\233\304@K\000\000\000\000\361P\006\000\000\000\000\000\060\312B\023\377\177\000\000\006E\300\304r\177\000"}
        imapState = <value optimized out>
        msgUrl = {<nsCOMPtr_base> = {mRawPtr = 
    0x7f72b8c19760}, <No data fields>}
        server = {<nsCOMPtr_base> = {mRawPtr = 
    0x7f72cc7b71c0}, <No data fields>}
        mon = {<nsAutoLockBase> = {<No data fields>}, mLockObject = 
    0x7f72adf1f800, mLockCount = 1}
        inSelectedState = <value optimized out>
        actionForProposedUrl = <value optimized out>
        pendingUrlFolderName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0x7fff1342c950 "", mLength = 323143848, 
                mFlags = 32767}, <No data fields>}, mFixedCapacity = 0, 
            mFixedBuf = 0x7f72c4cfe340 "timeout"}, mStorage = 
    "\000\320\024\252r\177\000\000P\311B\023\377\177\000\000\003\000\000\000\000\000\000\000A%H\303r\177\000\000 \310B\023\377\177\000\000D\026I\023\377\177\000\000`\310B\023\377\177\000\000\000\000\000\000\000\000\000"}
Comment 3 Chris Campbell 2010-01-03 15:50:34 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command, saved in a text file and attached to this bug:

$ rpm -qa *thunderbird* *mozilla* *flash* *plugin*

Please also install thunderbird-debuginfo.

# debuginfo-install thunderbird

Then run thunderbird inside the gdb debugger. Please do the following:

$ thunderbird -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

(gdb) run

Now, thunderbird should start up. Use it and reproduce the crash. When thunderbird crashes, you should be back to the gdb prompt. Now do:

(gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance for your extra efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matěj Cepl 2010-02-26 07:26:36 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Jan Horak 2010-03-15 08:13:59 EDT

*** This bug has been marked as a duplicate of bug 573602 ***

Note You need to log in before you can comment on or make changes to this bug.